import { appDefine } from './defines/ai.ts';
import { PostChat } from './defines/ai.ts';

import { BaseQuery, DataOpts, Query } from '@kevisual/query/query';

export { appDefine };

export class QueryApp<T extends Query = Query> extends BaseQuery<T, typeof appDefine> {
  constructor(opts?: { query: T }) {
    super({
      ...opts,
      query: opts?.query!,
      queryDefine: appDefine,
    });
  }
  /**
   * 与 AI 进行对话, 调用 GPT 的AI 服务，生成结果，并返回。
   * @param data
   * @param opts
   * @returns
   */
  postChat(data: PostChat, opts?: DataOpts) {
    return this.chain('chat').post(data, opts);
  }
}
